

import QtQuick 1.1

import qb.components 1.0;
import qb.base 1.0;

import "HomeApp.js" as AppJs;

App {
	property url dimIconUrl : "DimIcon.qml";
	property url homeScreenUrl : "Homescreen.qml";
	property url menuScreenUrl : "MenuScreen.qml";
	property url chooseTileScreenUrl : "ChooseTileScreen.qml";
	property url addTileMenuItemUrl : "AddTileMenuItem.qml";
	property url removeTilePopupUrl : "RemoveTilePopup.qml";

	property Screen menuScreen;
	property Screen homeScreen;
	property ChooseTileScreen chooseTileScreen;
	property Popup removeTilePopup;

	property int isDimmed: 0;

	function init() {
		AppJs.app = this;
		registry.registerWidget("systrayIcon", dimIconUrl, this);
		registry.registerWidget("screen", chooseTileScreenUrl, this, "chooseTileScreen");
		registry.registerWidget("screen", homeScreenUrl, this, "homeScreen");
		registry.registerWidget("screen", menuScreenUrl, this, "menuScreen");
		registry.registerWidget("menuItem", addTileMenuItemUrl, this, null, {weight: 145});
		registry.registerWidget("popup", removeTilePopupUrl, this, "removeTilePopup");

		stage.homeScreenUrl = homeScreenUrl;
		stage.menuScreenUrl = menuScreenUrl;
	}
}
